{{page-title this.term ' ' (capitalize (t 'icons'))}}

<div class='main-container'>
  <div class='view-browse'>

    <Filters::Bar>
      <Manage::Toolbar::ViewMode
        @allowCardDeck={{true}}
        @allowList={{true}}
        @value={{this.viewMode}}
        @default='card-deck'
        @onChange={{this.changeViewMode}}
      />

      <Filters::Search
        @class='ms-auto'
        @value={{this.search}}
        @hasSuggestions={{this.searchStorage.history.length}}
        @isSearching={{this.isSearching}}
        @onSearch={{this.performSearch}}
      >
        {{#if this.searchStorage.history.length}}
          <Filters::OptionList
            @title={{t 'recent searches'}}
            @onSelect={{this.performSearch}}
            @values={{this.searchStorage.history}}
          />
        {{/if}}
      </Filters::Search>
    </Filters::Bar>

    <div class='container pt-5'>
      <h1 class='capitalize-first-letter'>{{t 'icons'}}</h1>

      <Breadcrumbs @value={{this.breadcrumbs}} />

      {{#if this.search}}
        <SearchResultsLabel
          @term={{this.search}}
          @results={{@model.buckets.content}}
        />
      {{/if}}

      <Manage::List
        @isEditable={{this.isEditable}}
        @viewMode={{this.viewMode}}
        @actions={{this.modelActions}}
        @columns={{@model.iconSets.buckets}}
        @header={{concat (t 'name') ',' (t 'description')}}
        @onSelect={{this.select}}
        @onAction={{this.handleAction}}
        @onDelete={{this.deleteRecord}}
        as |section actions|
      >
        <Browse::IconSet::Section @section={{section}} @actions={{actions}} />
      </Manage::List>

      <LazyListLoadMore @lazyList={{@model.iconSets}} class="mb-5" />
    </div>
  </div>
</div>